ghc-lib-parser-9.10.1.20250103: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Tc.Errors.Types.PromotionErr

# Documentation

data PromotionErr #

Constructors

TyConPE |
ClassPE |
FamDataConPE |
ConstrainedDataConPE ThetaType |
PatSynPE |
RecDataConPE |
TermVariablePE |
TypeVariablePE |

#### Instances

Instances details

Generic PromotionErr # |

Instance details

Defined in GHC.Tc.Errors.Types.PromotionErr

Associated Types

type Rep PromotionErr |

Instance details

Defined in GHC.Tc.Errors.Types.PromotionErr

type Rep PromotionErr = D1 ('MetaData "PromotionErr" "GHC.Tc.Errors.Types.PromotionErr" "ghc-lib-parser-9.10.1.20250103-FaHJOkjTl0Y9STmjhYbIHo" 'False) (((C1 ('MetaCons "TyConPE" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "ClassPE" 'PrefixI 'False) (U1 :: Type -> Type)) :+: (C1 ('MetaCons "FamDataConPE" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "ConstrainedDataConPE" 'PrefixI 'False) (S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ThetaType)))) :+: ((C1 ('MetaCons "PatSynPE" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "RecDataConPE" 'PrefixI 'False) (U1 :: Type -> Type)) :+: (C1 ('MetaCons "TermVariablePE" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "TypeVariablePE" 'PrefixI 'False) (U1 :: Type -> Type))))

Methods

from :: PromotionErr -> Rep PromotionErr x #

to :: Rep PromotionErr x -> PromotionErr #

Outputable PromotionErr # |
Instance details Defined in GHC.Tc.Errors.Types.PromotionErr Methods ppr :: PromotionErr -> SDoc #
type Rep PromotionErr # |

Instance details

Defined in GHC.Tc.Errors.Types.PromotionErr

type Rep PromotionErr = D1 ('MetaData "PromotionErr" "GHC.Tc.Errors.Types.PromotionErr" "ghc-lib-parser-9.10.1.20250103-FaHJOkjTl0Y9STmjhYbIHo" 'False) (((C1 ('MetaCons "TyConPE" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "ClassPE" 'PrefixI 'False) (U1 :: Type -> Type)) :+: (C1 ('MetaCons "FamDataConPE" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "ConstrainedDataConPE" 'PrefixI 'False) (S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ThetaType)))) :+: ((C1 ('MetaCons "PatSynPE" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "RecDataConPE" 'PrefixI 'False) (U1 :: Type -> Type)) :+: (C1 ('MetaCons "TermVariablePE" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "TypeVariablePE" 'PrefixI 'False) (U1 :: Type -> Type))))

pprPECategory :: PromotionErr -> SDoc #

peCategory :: PromotionErr -> String #

data TermLevelUseErr #

Constructors

TyConTE |
ClassTE |
TyVarTE |

#### Instances

Instances details

Generic TermLevelUseErr # |

Instance details

Defined in GHC.Tc.Errors.Types.PromotionErr

Associated Types

type Rep TermLevelUseErr |

Instance details

Defined in GHC.Tc.Errors.Types.PromotionErr

type Rep TermLevelUseErr = D1 ('MetaData "TermLevelUseErr" "GHC.Tc.Errors.Types.PromotionErr" "ghc-lib-parser-9.10.1.20250103-FaHJOkjTl0Y9STmjhYbIHo" 'False) (C1 ('MetaCons "TyConTE" 'PrefixI 'False) (U1 :: Type -> Type) :+: (C1 ('MetaCons "ClassTE" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "TyVarTE" 'PrefixI 'False) (U1 :: Type -> Type)))

Methods

from :: TermLevelUseErr -> Rep TermLevelUseErr x #

to :: Rep TermLevelUseErr x -> TermLevelUseErr #

type Rep TermLevelUseErr # |

Instance details

Defined in GHC.Tc.Errors.Types.PromotionErr

type Rep TermLevelUseErr = D1 ('MetaData "TermLevelUseErr" "GHC.Tc.Errors.Types.PromotionErr" "ghc-lib-parser-9.10.1.20250103-FaHJOkjTl0Y9STmjhYbIHo" 'False) (C1 ('MetaCons "TyConTE" 'PrefixI 'False) (U1 :: Type -> Type) :+: (C1 ('MetaCons "ClassTE" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "TyVarTE" 'PrefixI 'False) (U1 :: Type -> Type)))

teCategory :: TermLevelUseErr -> String #